curl --request GET \
--url https://api.global.direct.reap.global/2026-07-13/treasury/transactions \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.global.direct.reap.global/2026-07-13/treasury/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.global.direct.reap.global/2026-07-13/treasury/transactions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "ttx_1",
"product": "CARD",
"type": "DEPOSIT",
"status": "COMPLETED",
"direction": "CREDIT",
"amount": {
"amount": "1000.000001",
"currency": "USDC"
},
"fee": null,
"creditedAmount": {
"amount": "7810.00000781",
"currency": "HKD"
},
"conversionRate": "7.81",
"method": {
"type": "CRYPTO",
"network": "ETHEREUM"
},
"transactionHash": "0xabc",
"referenceId": null,
"createdAt": "2026-10-01T03:00:00.000Z",
"completedAt": "2026-10-01T03:05:00.000Z"
}
],
"meta": {
"totalItems": 1,
"itemCount": 1,
"itemsPerPage": 20,
"totalPages": 1,
"currentPage": 1
}
}List Treasury transactions
Required API-key scope: treasury_transactions:read.
Lists every movement on a balance (deposits, withdrawals, payments, repayments and adjustments), newest first. from/to filter on inclusive UTC calendar days. Match your transfers on transactionHash (crypto) or referenceId (bank), and expect a short delay before a COMPLETED deposit raises your card credit limit. See Treasury transactions.
curl --request GET \
--url https://api.global.direct.reap.global/2026-07-13/treasury/transactions \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.global.direct.reap.global/2026-07-13/treasury/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.global.direct.reap.global/2026-07-13/treasury/transactions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "ttx_1",
"product": "CARD",
"type": "DEPOSIT",
"status": "COMPLETED",
"direction": "CREDIT",
"amount": {
"amount": "1000.000001",
"currency": "USDC"
},
"fee": null,
"creditedAmount": {
"amount": "7810.00000781",
"currency": "HKD"
},
"conversionRate": "7.81",
"method": {
"type": "CRYPTO",
"network": "ETHEREUM"
},
"transactionHash": "0xabc",
"referenceId": null,
"createdAt": "2026-10-01T03:00:00.000Z",
"completedAt": "2026-10-01T03:05:00.000Z"
}
],
"meta": {
"totalItems": 1,
"itemCount": 1,
"itemsPerPage": 20,
"totalPages": 1,
"currentPage": 1
}
}Authorizations
Enter your API key
Query Parameters
Which page of results to return, starting at 1 (the default). Use it with meta.totalPages to go through all results.
1 <= x <= 9007199254740991How many items to return per page. It must be between 1 and 100 (default 20).
1 <= x <= 100The balance to list movements for.
CARD, PAYMENTS, OPTIMIZE, GENERAL Filter by movement type: DEPOSIT, WITHDRAW, PAYMENT, REPAYMENT or ADJUSTMENT.
DEPOSIT, WITHDRAW, PAYMENT, REPAYMENT, ADJUSTMENT Filter the underlying Treasury state: PENDING or COMPLETED. Optimize swaps can still have a pending or failed display status.
PENDING, COMPLETED First UTC calendar day to include, for example 2026-10-01.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Last UTC calendar day to include.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$